httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe Jr." <wr...@rowe-clan.net>
Subject Re: [discuss] Bundle apr/apu with 2.4.x
Date Sun, 05 Feb 2012 19:28:27 GMT
On 2/5/2012 1:14 PM, Mads Toftum wrote:
> On Sun, Feb 05, 2012 at 01:10:03PM -0600, William A. Rowe Jr. wrote:
>> How about
>>
>>   1. deprecating --with-included-apr syntax for...
>>
>>   2. --build-apr=/path syntax, default of '--build-apr=srcdir/apr' where
>>      and when srclib/apr exists.  If they would rather check out httpd, apr
>>      and apr-util in parallel, it will be easy enough to choose something
>>      like --build-apr=../apr-1.4.5
> 
> I like that idea. Makes more sense than --with-included-apr. For extra
> bonus points make --with-included-apr throw an error suggesting the use
> of --build-apr=srclib/apr

Since we are deprecating, throwing a warning and continuing on should
be sufficient ;)


Mime
View raw message